0
$\begingroup$

As the title states im trying to use a Raspberry Pi 4 running Raspbian Lite 64bit (I've had issues with just running ubuntu so I wanted to try it) but its unable to find any rosdep packages, I know they exist as I've downloaded them on my dev machine, it just tries to run the apt-get command for my packages and it can't find them. I'm running my docker image using the command

docker run -it --rm \
    --privileged \
    --net=host \
    --mount type=bind,source=/dev/gpiomem,target=/dev/gpiomem \
    --mount type=bind,source=$HOME/ros2_ws,target=/root/ros2_ws \
    ros:humble-ros-base \
    bash

and getting an error code of

root@robot:~/ros2_ws/roomba_bot# rosdep install --from-paths src -y --ignore-src
executing command [apt-get install -y ros-humble-urdf-launch]
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package ros-humble-urdf-launch
ERROR: the following rosdeps failed to install
  apt: command [apt-get install -y ros-humble-urdf-launch] failed
root@robot:~/ros2_ws/roomba_bot# 

If I remove urdf-launch it just changes to being unable to find a different package, but it works fine on my WSL2 ubuntu distro. Any help is appreciated

$\endgroup$

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.